<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

function harrington_customize_register($wp_customize) {
    $wp_customize->get_setting('blogname')->transport = 'postMessage';
    $wp_customize->get_setting('blogdescription')->transport = 'postMessage';
//	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';


    $wp_customize->selective_refresh->add_partial('blogname', array(
        'selector' => '.site-title a',
        'render_callback' => 'harrington_customize_partial_blogname',
    ));
    $wp_customize->selective_refresh->add_partial('blogdescription', array(
        'selector' => '.site-description',
        'render_callback' => 'harrington_customize_partial_blogdescription',
    ));
    
      // Load the radio image control class.
    require_once( trailingslashit( get_template_directory() ) . 'includes/load.php' );

    // Register the radio image control class as a JS control type.
    $wp_customize->register_control_type( 'Harrington_Customize_Control_Radio_Image' );

    // Add a custom layout section.
    $wp_customize->add_section( 'layout_page_blog', array( 'title' => esc_html__( 'Blog & Page Layout', 'harrington' ),'priority'=>'2' ) );

    // Add the layout_page_blog setting.
    $wp_customize->add_setting(
        'blog-layout',
        array(
            'type'=>'option',
            'default'           => 'content-sidebar',
            'sanitize_callback' => 'sanitize_key',
        )
    );
        $wp_customize->add_setting(
        'page-layout',
        array(
            'type'=>'option',
            'default'           => 'content-sidebar',
            'sanitize_callback' => 'sanitize_key',
        )
    );
    // Add the layout control.
    $wp_customize->add_control(
        new Harrington_Customize_Control_Radio_Image(
            $wp_customize,
            'blog-layout',
            array(
                'label'    => esc_html__( 'Blog Sidebar Layout', 'harrington' ),
                'section'  => 'layout_page_blog',
                'choices'  => array(
                    'content-sidebar' => array(
                        'label' => esc_html__( 'Left Layout', 'harrington' ),
                        'url'   => get_template_directory_uri() .'/assets/images/left-sidebar.jpg'
                    ),
                    'sidebar-content' => array(
                        'label' => esc_html__( 'Right Layout', 'harrington' ),
                        'url'   => get_template_directory_uri() .'/assets/images/right-sidebar.jpg'
                    ),
                    'content' => array(
                        'label' => esc_html__( 'Center Layout', 'harrington' ),
                        'url'   => get_template_directory_uri() .'/assets/images/center.jpg'
                    )
                )
            )
        )
    );
    // Add the layout_page_blog control.
    $wp_customize->add_control(
        new Harrington_Customize_Control_Radio_Image(
            $wp_customize,
            'page-layout',
            array(
                'label'    => esc_html__( 'Page Sidebar Layout', 'harrington' ),
                'section'  => 'layout_page_blog',
                'choices'  => array(
                    'content-sidebar' => array(
                        'label' => esc_html__( 'Left Layout', 'harrington' ),
                        'url'   => get_template_directory_uri() .'/assets/images/left-sidebar2.jpg'
                    ),
                    'sidebar-content' => array(
                        'label' => esc_html__( 'Right Layout', 'harrington' ),
                        'url'   => get_template_directory_uri() .'/assets/images/right-sidebar2.jpg'
                    ),
                    'content' => array(
                        'label' => esc_html__( 'Center Layout', 'harrington' ),
                        'url'   => get_template_directory_uri() .'/assets/images/center2.jpg'
                    )
                )
            )
        )
    );
}

add_action('customize_register', 'harrington_customize_register');



class inkthemes_Customizer {

    public static function inkthemes_Register($wp_customize) {

        self::inkthemes_Sections($wp_customize);

        self::inkthemes_Controls($wp_customize);
    }

        public static function inkthemes_Sections($wp_customize) {

        /**
         * Remove control for site icon
         */
        $wp_customize->remove_control('site_icon');
        $wp_customize->remove_control('custom_logo');

        /**
         * Logo and favicon section
         */
        $wp_customize->add_section('title_tagline', array(
            'title' => __('Logo & Site Identity', 'harrington'),
            'description' => __('Allows you to customize header logo, favicon settings for harrington Theme.', 'harrington'), //Descriptive tooltip
            'panel' => '',
            'priority' => '1',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Background Image Section
         */
        $wp_customize->add_section('background_image', array(
            'title' => __('Background Image Setting', 'harrington'),
            'description' => __('Allows you to change background image for harrington Theme. This will overright the background color property', 'harrington'),
            'priority' => '3',
            'panel' => '',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Contact Number For Tap To Call Feature
         */
        $wp_customize->add_section('call_feature_setting', array(
            'title' => __('Tap To Call Feature', 'harrington'),
            'description' => sprintf(__( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Tap To Call Feature ! </h3> <br/> Allows you to connect through Contact Number (Tap To Call) Feature for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => '',
            'priority' => '5',
            'capability' => 'edit_theme_options'
                )
        );
        
        /**
        * Home Page Settings
        */
       $wp_customize->add_section('static_front_page', array(
           'title' => __('Home Page Settings', 'harrington'),
           'description' => __('Allows you to setup Homepage for Harrington Theme.', 'harrington'),
           'priority' => '6',
           'capability' => 'edit_theme_options'
       ));

    /*
    ** Typography =====
    */
	// add Typography section
	$wp_customize->add_section( 'harrington_typography' , array(
		'title'		 => __( 'Typography', 'harrington' ),
                'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Typography Settings ! </h3><br/> Allows you to setup SEO Options section for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
		'priority'	 => '7',
		'capability' => 'edit_theme_options'
	) );
       
         /**
         * Home page slider panel
         */
        $wp_customize->add_panel('home_page_slider_panel', array(
            'title' => __('Slider Settings', 'harrington'),
            'description' => __('Allows you to setup home page slider for harrington Theme.', 'harrington'),
            'priority' => '8',
            'capability' => 'edit_theme_options'
        ));

         /**
         * Slider Speed Section
         */
        $wp_customize->add_section('home_page_slider_speed', array(
            'title' => __('Slider Speed', 'harrington'),
            'description' => sprintf( __( " <h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Slider Speed ! </h3> <br/> Allows you to Control the  Slider Speed as per your requirement.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * First Slider section
         */
        $wp_customize->add_section('home_page_slider_1', array(
            'title' => __('First Slider', 'harrington'),
            'description' => __('Allows you to setup first slider for harrington Theme.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Second Slider section
         */
        $wp_customize->add_section('home_page_slider_2', array(
            'title' => __('Second Slider', 'harrington'),
            'description' => __('Allows you to setup second slider for harrington Theme.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

         /**
         * Third Slider section
         */
        $wp_customize->add_section('home_page_slider_3', array(
            'title' => __('Third Slider', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Third Slider ! </h3> <br/> Allows you to setup third slider for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        
         /**
         * Fourth Slider section
         */
        $wp_customize->add_section('home_page_slider_4', array(
            'title' => __('Fourth Slider', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Fourth Slider ! </h3> <br/> Allows you to setup fifth slider for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

         /**
         * Fifth Slider section
         */
        $wp_customize->add_section('home_page_slider_5', array(
            'title' => __('Fifth Slider', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Fifth Slider ! </h3> <br/> Allows you to setup fifth slider for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Sixth Slider section
         */
        $wp_customize->add_section('home_page_slider_6', array(
            'title' => __('Sixth Slider', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Sixth Slider ! </h3><br/> Allows you to setup sixth slider for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

/**
         * Slider control section
         */
        $wp_customize->add_section('home_page_slider_control', array(
            'title' => __('Slider Control', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Home Page Slider On/Off ! </h3> <br/> Allows you to turn On/Off the home page Slider as per your requirement.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_page_slider_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


         /**
         * Home Page Feature area panel
         */
        $wp_customize->add_panel('home_feature_area_panel', array(
            'title' => __('Feature Area Home Page Settings', 'harrington'),
            'description' => __('Allows you to setup home page feature area section for harrington Theme.', 'harrington'),
            'priority' => '9',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Home page feature area heading section
         */
        $wp_customize->add_section('home_page_heading', array(
            'title' => __('Main Heading Setting', 'harrington'),
            'description' => __('Allows you to setup main heading for harrington Theme.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page Feature Area Top Heading Section On/Off
         */
        $wp_customize->add_section('home_page_top_heading', array(
            'title' => __('Top Heading Section On/Off', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Home Page Top Heading Section On/Off ! </h3><br/> Allows you to show or hide top heading section. ", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Main heading for three column feature area.
         */
        $wp_customize->add_section('home_page_main_heading', array(
            'title' => __('Feature Main Heading Setting', 'harrington'),
            'description' => __('Allows you to setup main heading for harrington Theme.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home Page feature area 1
         */
        $wp_customize->add_section('home_feature_area_1', array(
            'title' => __('First Feature Area', 'harrington'),
            'description' => __('Allows you to setup first feature area section for harrington Theme.', 'harrington'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 2
         */
        $wp_customize->add_section('home_feature_area_2', array(
            'title' => __('Second Feature Area', 'harrington'),
            'description' => __('Allows you to setup second feature area section for harrington Theme.', 'harrington'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * Home Page feature area 3
         */
        $wp_customize->add_section('home_feature_area_3', array(
            'title' => __('Third Feature Area', 'harrington'),
            'description' => __('Allows you to setup third feature area section for harrington Theme.', 'harrington'),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home Page feature area 4
         */
        $wp_customize->add_section('home_feature_area_on_off', array(
            'title' => __('Three Column Feature Area On/Off', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Home Page Three Column Feature Area On/Off ! </h3><br/> Allows you to show or hide feature area section for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home Page blog post Feature area panel
         */
        $wp_customize->add_panel('home_feature_blog_panel', array(
            'title' => __('Blog Area Home Page Settings', 'harrington'),
            'description' => __('Allows you to setup home page blog area section for harrington Theme.', 'harrington'),
            'priority' => '11',
            'capability' => 'edit_theme_options'
        ));

          /**
         * Home page blog heading
         */
        $wp_customize->add_section('home_page_blog_heading', array(
            'title' => __('Home Page Blog Heading Text', 'harrington'),
            'description' => __('Allows you to display the recent blog posts with images.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_feature_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

          /**
         * Home page blog number
         */
        $wp_customize->add_section('home_page_blog_number', array(
            'title' => __('Home Page Number of Blogs', 'harrington'),
            'description' => __( 'Allows you to display limited number of blog section of home page.', 'harrington' ),
            'panel' => 'home_feature_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home page blog post On/Off
         */
        $wp_customize->add_section('home_page_blogpost_onoff', array(
            'title' => __('Home Page Blog post On/Off', 'harrington'),
            'description' => sprintf( __("<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Home Page Blog post On/Off ! </h3> </br> <br/> Allows you to Turn on or off the home page blog post as per your requirement. ", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_feature_blog_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Home Page Testimonial Area Feature panel
         */
        $wp_customize->add_panel('home_test_area_panel', array(
            'title' => __('Client Testimonial Settings', 'harrington'),
            'description' => __('Allows you to setup home page Testimonial area section for harrington Theme.', 'harrington'),
            'priority' => '12',
            'capability' => 'edit_theme_options'
        ));

        /**
         * estimonial Section Main Heading
         */
        $wp_customize->add_section('home_page_test_mainhead', array(
            'title' => __('Testimonial Section Main Heading', 'harrington'),
            'description' => __('Allows you set main heading for testimonial section as per your requirement.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_test_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
         * First Testimonial Text
         */
        $wp_customize->add_section('home_page_test1', array(
            'title' => __('First Testimonial Text', 'harrington'),
            'description' => __('Allows you set first testimonial text for testimonial section as per your requirement.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_test_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

         /**
         * Second Testimonial Text
         */
        $wp_customize->add_section('home_page_test2', array(
            'title' => __('Second Testimonial Text', 'harrington'),
            'description' => __('Allows you set second testimonial text for testimonial section as per your requirement.', 'harrington'), //Descriptive tooltip
            'panel' => 'home_test_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

          /**
         * Third Testimonial Text
         */
        $wp_customize->add_section('home_page_test3', array(
            'title' => __('Third Testimonial Text', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Third Testimonial Text ! </h3> <br/> Allows you set third testimonial text for testimonial section as per your requirement.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_test_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

         /**
         * Fourth Testimonial Text
         */
        $wp_customize->add_section('home_page_test4', array(
            'title' => __('Fourth Testimonial Text', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Fourth Testimonial Text ! </h3><br/> Allows you set fourth testimonial text for testimonial section as per your requirement.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_test_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

         /**
         * Fifth Testimonial Text
         */
        $wp_customize->add_section('home_page_test5', array(
            'title' => __('Fifth Testimonial Text', 'harrington'),
            'description' => sprintf( __(" <h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Fifth Testimonial Text ! </h3> <br/> Allows you set fifth testimonial text for testimonial section as per your requirement.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_test_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );


        /**
         * Fifth Testimonial Text
         */
        $wp_customize->add_section('home_page_test_onoff', array(
            'title' => __('Home Page Testimonial On/Off', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Home Page Testimonial On/Off ! </h3><br/> Allows you to turn on or off the home page testimonial text as per your requirement.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => 'home_test_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );

        /**
        * Contact Page Map
        */
        $wp_customize->add_section('contact_page_map', array(
            'title' => __('Contact Page Map', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Theme Language ! </h3><br/> Allows you to setup  Contact Page Map for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '13',
            'panel' => ''
        ));
        
        /**
         * Add panel for Footer Settings
         */
        $wp_customize->add_panel('footer_settings_panel', array(
            'title' => __('Bottom Footer Settings', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Footer Area Settings ! </h3><br/> Allows you to setup Styling Options for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '15',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Footer Widget On/Off
         */
        $wp_customize->add_section('footer_widgets_onoff', array(
            'title' => __('Footer Widget Column On/Off', 'harrington'),
            'description' => __(" Allows you to turn on and off footer area widgets for harrington Theme.", 'harrington'),
            'priority' => '',
            'panel' => 'footer_settings_panel'
        ));
        /**
         * Footer Social Widget On/Off
         */
        $wp_customize->add_section('footer_text_widget_onoff', array(
            'title' => __('Footer Widget On/Off', 'harrington'),
            'description' => sprintf(__("<b>You Can Customize Your Widget Area By Following These Steps</b><br/><br/><ul><li>Go To Dashboard->Appearance->Widget.</li><br/><li> Place your desired Widgets under the Footer Widget Areas (First, Second, Third, etc.) they will appear on the footer of your site. </li><br/><li> If you want to hide the footer widget contents then, just place a Blank Text Widget under Footer Widget Areas. </li><br/><li> You can also refer this tutorial link: <a href='https://www.inkthemes.com/how-to-use-widgets-in-wordpress/'>How To Use Widgets In Wordpress</a></li><br/> <h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Footer Social Widget On/Off ! </h3><br/> Allows you to turn on and off footer area widgets for harrington Theme.", 'harrington'), esc_url('https://www.inkthemes.com/market/wordpress-business-theme/')),
            'priority' => '',
            'panel' => 'footer_settings_panel'
        ));

         /**
         * Footer Contact Details
         */
        $wp_customize->add_section('footer_contact_details', array(
            'title' => __('Footer Contact Details', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Footer Contact Details ! </h3><br/> Allows you to set footer contact details for harrington Theme", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '',
            'panel' => 'footer_settings_panel'
        ));

         /**
         * Footer Setting
         */
        $wp_customize->add_section('harrington_footer_text', array(
            'title' => __('Copyright Footer Text', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Footer Contact Details ! </h3><br/> Allows you to set footer text for harrington Theme", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '',
            'panel' => 'footer_settings_panel'
        ));
        
        /**
         * Add panel for Styling Options
         */
        $wp_customize->add_panel('styling_options', array(
            'title' => __('Styling Options', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Styling Options ! </h3><br/> Allows you to setup Styling Options for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '16',
            'capability' => 'edit_theme_options'
        ));

         /**
         * Theme Stylesheet
         */
        $wp_customize->add_section('theme_stylesheet', array(
            'title' => __('Theme Stylesheet', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Theme Stylesheet ! </h3><br/> Allows you to set the color of the theme from different available colors.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '',
            'panel' => 'styling_options'
        ));
        
        /**
        * Theme Language
        */
        $wp_customize->add_section('theme_language', array(
            'title' => __('Theme Language', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Theme Language ! </h3><br/> Allows you to set the color of the theme from different available colors.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '',
            'panel' => 'styling_options'
        ));

         /**
         * Tracking Code Section
         */
        $wp_customize->add_section('tracking_code_setting', array(
            'title' => __('Google Analytics Tracking Code', 'harrington'),
            'description' => sprintf( __(" <h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Google Analytics Tracking Code!</h3> <br/> Allows you to track code for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'panel' => '',
            'priority' => '17',
            'capability' => 'edit_theme_options'
                ));
        
         /**
         * Add panel for SEO Options
         */
        $wp_customize->add_panel('seo_options_panel', array(
            'title' => __('SEO Options', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over SEO Options ! </h3><br/> Allows you to setup SEO Options section for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '18',
            'capability' => 'edit_theme_options'
        ));

        /**
         * Meta Keywords (comma separated)
         */
        $wp_customize->add_section('meta_keyword', array(
            'title' => __('Meta Keywords (comma separated)', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Meta Keywords ! </h3><br/> Allows you to setupMeta Keywords (comma separated) for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '',
            'panel' => 'seo_options_panel'
        ));

         /**
         * Meta Description
         */
        $wp_customize->add_section('meta_desc', array(
            'title' => __('Meta Description', 'harrington'),
            'description' => sprintf( __( "<h3>Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Meta Description ! </h3><br/> Allows you to setup Meta Description for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '',
            'panel' => 'seo_options_panel'
        ));

         /**
         * Meta Author Name
         */
        $wp_customize->add_section('meta_author_name', array(
            'title' => __('Meta Author Name', 'harrington'),
            'description' => sprintf( __( "<h3> Check out the <a href='%s' target='_blank'>PRO version </a>for full control over Meta Author Name ! </h3><br/> Allows you to setup Meta Author Name for harrington Theme.", 'harrington' ), esc_url( 'https://www.inkthemes.com/market/wordpress-business-theme/' ) ),
            'priority' => '',
            'panel' => 'seo_options_panel'
        ));
        
        /*
        ** Social Media =====
        */

	// add social media section
	$wp_customize->add_section( 'harrington_social_media' , array(
		'title'		 => esc_html__( 'Social Icons', 'harrington' ),
		'priority'	 => '14',
		'capability' => 'edit_theme_options'
	) );

    }

    public static function inkthemes_Section_Content() {

        $section_content = array(
            'title_tagline' => array(
                'harrington_logo',
                'harrington_favicon'
            ),
//            'logo_fevi_setting' => array(
//                'harrington_logo',
//                'harrington_favicon'
//            ),

            'background_image' => array(
                'harrington_bodybg'
            ),

            'tracking_code_setting' => array(
                'harrington_analytics'
            ),
            

            'call_feature_setting' => array(
                'harrington_contact_number',
                'harrington_tapto_backtop',
                'harrington_tapto_backbottom',
                'harrington_tapto_box_shadow',
                'harrington_tapto_icon',
                'harrington_tapto_text',
                'harrington_tapto_text_shadow',
                'harrington_tapto_text_color',
                'harrington_tapto_border_color'
            ),


            'home_page_slider_speed' => array(
                'harrington_slide_speed'
            ),

            'home_page_slider_1' => array(
                'harrington_slideimage1',
                'harrington_sliderheading1',
                'harrington_Sliderlink1',
                'harrington_slider_button1'
            ),

            'home_page_slider_2' => array(
                'harrington_slideimage2',
                'harrington_sliderheading2',
                'harrington_Sliderlink2',
                'harrington_slider_button2'
            ),

            'home_page_slider_3' => array(
                'harrington_slideimage3',
                'harrington_sliderheading3',
                'harrington_Sliderlink3',
                'harrington_slider_button3'
            ),

            'home_page_slider_4' => array(
                'harrington_slideimage4',
                'harrington_sliderheading4',
                'harrington_Sliderlink4',
                'harrington_slider_button4'
            ),

            'home_page_slider_5' => array(
                'harrington_slideimage5',
                'harrington_sliderheading5',
                'harrington_Sliderlink5',
                'harrington_slider_button5'
            ),

            'home_page_slider_6' => array(
                'harrington_slideimage6',
                'harrington_sliderheading6',
                'harrington_Sliderlink6',
                'harrington_slider_button6'
            ),

            'home_page_slider_control' => array(
                'harrington_home_slider_option'
            ),

            'home_page_heading' => array(
                'harrington_page_main_heading',
                'harrington_page_sub_heading'
            ),

            'home_page_top_heading' => array(
                'harrington_home_top_head'
            ),

            'home_page_main_heading' => array(
                'harrington_feature_heading'
            ),

            'home_feature_area_1' => array(
                'harrington_fimg1',
                'harrington_firsthead',
                'harrington_firstdesc',
                'harrington_feature_link1'
            ),

            'home_feature_area_2' => array(
                'harrington_fimg2',
                'harrington_headline2',
                'harrington_seconddesc',
                'harrington_feature_link2'

            ),
            'home_feature_area_3' => array(
                'harrington_fimg3',
                'harrington_headline3',
                'harrington_thirddesc',
                'harrington_feature_link3'
            ),

            'home_feature_area_on_off' => array(
                'harrington_home_feature_option',
                'harrington_feature_select'
            ),

            'home_page_blog_heading' => array(
                'harrington_blog_heading'
            ),

            'home_page_blog_number' => array(
                'harrington_blog_post'
            ),

            'home_page_blogpost_onoff' => array(
                'harrington_home_blog_option'
            ),

            
            'home_page_test_mainhead' => array(
                'harrington_testimonial_heading'
            ),

            'home_page_test1' => array(
                'harrington_test1'
            ),

            'home_page_test2' => array(
                'harrington_test2'
            ),

            'home_page_test3' => array(
                'harrington_test3'
            ),

            'home_page_test4' => array(
                'harrington_test4'
            ),

            'home_page_test5' => array(
                'harrington_test5'
            ),

            'home_page_test_onoff' => array(
                'harrington_testimonial_option'
            ),

            'theme_stylesheet' => array(
                'harrington_altstylesheet'
            ),

            'theme_language' => array(
                'harrington_lanstylesheet'
            ),

            'contact_page_map' => array(
                'harrington_contact_map'
            ),

            'meta_keyword' => array(
                'harrington_keyword'
            ),
            'meta_desc' => array(
                'harrington_description'
            ),

            'meta_author_name' => array(
                'harrington_author'
            ),
            
            'footer_widgets_onoff' => array(
                'footer_widget_column_on_off'
            ),
            'footer_text_widget_onoff' => array(
                'footer_widget_on_off'
            ),
            'footer_contact_details' => array(
                'harrington_topright'
            ),

            'harrington_footer_text' => array(
                'harrington_footertext'
            ),

            'harrington_typography' => array(
                'typography_logo_family',
                'typography_nav_family'
            ),
            
            'harrington_social_media' => array(
                'social_media_icon_1',
                'social_media_url_1',
                'social_media_icon_2',
                'social_media_url_2',
                'social_media_icon_3',
                'social_media_url_3',
                'social_media_icon_4',
                'social_media_url_4',
                
            ),

        );
        return $section_content;
    }



    public static function inkthemes_Settings() {



// Social Icons Array
	$social_icons = array(
		'facebook' 				=> '&#xf09a;',
		'facebook-official'		=> '&#xf230;',
		'facebook-square' 		=> '&#xf082;',
		'twitter' 				=> '&#xf099;',
		'twitter-square' 		=> '&#xf081;',
		'google' 				=> '&#xf1a0;',
		'google-plus' 			=> '&#xf0d5;',
		'google-plus-official'	=> '&#xf2b3;',
		'google-plus-square'	=> '&#xf0d4;',
		'linkedin'				=> '&#xf0e1;',
		'linkedin-square' 		=> '&#xf08c;',
		'pinterest' 			=> '&#xf0d2;',
		'pinterest-p' 			=> '&#xf231;',
		'pinterest-square'		=> '&#xf0d3;',
		'behance' 				=> '&#xf1b4;',
		'behance-square'		=> '&#xf1b5;',
		'tumblr' 				=> '&#xf173;',
		'tumblr-square' 		=> '&#xf174;',
		'reddit' 				=> '&#xf1a1;',
		'reddit-alien' 			=> '&#xf281;',
		'reddit-square' 		=> '&#xf1a2;',
		'dribbble' 				=> '&#xf17d;',
		'vk' 					=> '&#xf189;',
		'skype' 				=> '&#xf17e;',
		'film' 					=> '&#xf008;',
		'youtube-play' 			=> '&#xf16a;',
		'youtube' 				=> '&#xf167;',
		'youtube-square' 		=> '&#xf166;',
		'vimeo-square' 			=> '&#xf194;',
		'soundcloud' 			=> '&#xf1be;',
		'instagram' 			=> '&#xf16d;',
		'flickr' 				=> '&#xf16e;',
		'rss' 					=> '&#xf09e;',
		'rss-square' 			=> '&#xf143;',
		'heart' 				=> '&#xf004;',
		'heart-o' 				=> '&#xf08a;',
		'github' 				=> '&#xf09b;',
		'github-alt' 			=> '&#xf113;',
		'github-square' 		=> '&#xf092;',
		'stack-overflow' 		=> '&#xf16c;',
		'qq' 					=> '&#xf1d6;',
		'weibo' 				=> '&#xf18a;',
		'weixin' 				=> '&#xf1d7;',
		'xing' 					=> '&#xf168;',
		'xing-square' 			=> '&#xf169;',
		'gamepad' 				=> '&#xf11b;',
		'medium' 				=> '&#xf23a;',
		'envelope' 				=> '&#xf0e0;',
		'envelope-o' 			=> '&#xf003;',
		'envelope-square ' 		=> '&#xf199;',
		'etsy' 					=> '&#xf2d7;',
		'snapchat' 				=> '&#xf2ab;',
		'snapchat-ghost' 		=> '&#xf2ac;',
		'snapchat-square'		=> '&#xf2ad;',
		'meetup' 				=> '&#xf2e0;',
		'cc-paypal' 			=> '&#xf1f4;',
		'credit-card' 			=> '&#xf09d;',
	);
        
        
        
    $font_family = array('Open Sans', 'ABeeZee', 'Abel', 'Abril Fatface', 'Aclonica', 'Acme', 'Actor', 'Adamina', 'Advent Pro', 'Aguafina Script', 'Akronim', 'Aladin', 'Aldrich', 'Alef', 'Alegreya', 'Alegreya SC', 'Alex Brush', 'Alfa Slab One', 'Alice', 'Alike', 'Alike Angular', 'Allan', 'Allerta', 'Allerta Stencil', 'Allura', 'Almendra', 'Almendra Display', 'Almendra SC', 'Amarante', 'Amaranth', 'Amatic SC', 'Amethysta', 'Anaheim', 'Andada', 'Andika', 'Angkor', 'Annie Use Your Telescope', 'Anonymous Pro', 'Antic', 'Antic Didone', 'Antic Slab', 'Anton', 'Arapey', 'Arbutus', 'Arbutus Slab', 'Architects Daughter', 'Archivo Black', 'Archivo Narrow', 'Arial Black', 'Arial Narrow', 'Arimo', 'Arizonia', 'Armata', 'Artifika', 'Arvo', 'Asap', 'Asset', 'Astloch', 'Asul', 'Atomic Age', 'Aubrey', 'Audiowide', 'Autour One', 'Average', 'Average Sans', 'Averia Gruesa Libre', 'Averia Libre', 'Averia Sans Libre', 'Averia Serif Libre', 'Bad Script', 'Balthazar', 'Bangers', 'Basic', 'Battambang', 'Baumans', 'Bayon', 'Belgrano', 'Bell MT', 'Bell MT Alt', 'Belleza', 'BenchNine', 'Bentham', 'Berkshire Swash', 'Bevan', 'Bigelow Rules', 'Bigshot One', 'Bilbo', 'Bilbo Swash Caps', 'Bitter', 'Black Ops One', 'Bodoni', 'Bokor', 'Bonbon', 'Boogaloo', 'Bowlby One', 'Bowlby One SC', 'Brawler', 'Bree Serif', 'Bubblegum Sans', 'Bubbler One', 'Buenard', 'Butcherman', 'Butcherman Caps', 'Butterfly Kids', 'Cabin', 'Cabin Condensed', 'Cabin Sketch', 'Caesar Dressing', 'Cagliostro', 'Calibri', 'Calligraffitti', 'Cambo', 'Cambria', 'Candal', 'Cantarell', 'Cantata One', 'Cantora One', 'Capriola', 'Cardo', 'Carme', 'Carrois Gothic', 'Carrois Gothic SC', 'Carter One', 'Caudex', 'Cedarville Cursive', 'Ceviche One', 'Changa One', 'Chango', 'Chau Philomene One', 'Chela One', 'Chelsea Market', 'Chenla', 'Cherry Cream Soda', 'Cherry Swash', 'Chewy', 'Chicle', 'Chivo', 'Cinzel', 'Cinzel Decorative', 'Clara', 'Clicker Script', 'Coda', 'Codystar', 'Combo', 'Comfortaa', 'Coming Soon', 'Concert One', 'Condiment', 'Consolas', 'Content', 'Contrail One', 'Convergence', 'Cookie', 'Copse', 'Corben', 'Corsiva', 'Courgette', 'Courier New', 'Cousine', 'Coustard', 'Covered By Your Grace', 'Crafty Girls', 'Creepster', 'Creepster Caps', 'Crete Round', 'Crimson Text', 'Croissant One', 'Crushed', 'Cuprum', 'Cutive', 'Cutive Mono', 'Damion', 'Dancing Script', 'Dangrek', 'Dawning of a New Day', 'Days One', 'Delius', 'Delius Swash Caps', 'Delius Unicase', 'Della Respira', 'Denk One', 'Devonshire', 'Dhyana', 'Didact Gothic', 'Diplomata', 'Diplomata SC', 'Domine', 'Donegal One', 'Doppio One', 'Dorsa', 'Dosis', 'Dr Sugiyama', 'Droid Arabic Kufi', 'Droid Arabic Naskh', 'Droid Sans', 'Droid Sans Mono', 'Droid Sans TV', 'Droid Serif', 'Duru Sans', 'Dynalight', 'EB Garamond', 'Eagle Lake', 'Eater', 'Eater Caps', 'Economica', 'Electrolize', 'Elsie', 'Elsie Swash Caps', 'Emblema One', 'Emilys Candy', 'Engagement', 'Englebert', 'Enriqueta', 'Erica One', 'Esteban', 'Euphoria Script', 'Ewert', 'Exo', 'Expletus Sans', 'Fanwood Text', 'Fascinate', 'Fascinate Inline', 'Faster One', 'Fasthand', 'Fauna One', 'Federant', 'Federo', 'Felipa', 'Fenix', 'Finger Paint', 'Fjalla One', 'Fjord One', 'Flamenco', 'Flavors', 'Fondamento', 'Fontdiner Swanky', 'Forum', 'Francois One', 'Freckle Face', 'Fredericka the Great', 'Fredoka One', 'Freehand', 'Fresca', 'Frijole', 'Fruktur', 'Fugaz One', 'GFS Didot', 'GFS Neohellenic', 'Gabriela', 'Gafata', 'Galdeano', 'Galindo', 'Garamond', 'Gentium Basic', 'Gentium Book Basic', 'Geo', 'Geostar', 'Geostar Fill', 'Germania One', 'Gilda Display', 'Give You Glory', 'Glass Antiqua', 'Glegoo', 'Gloria Hallelujah', 'Goblin One', 'Gochi Hand', 'Gorditas', 'Goudy Bookletter 1911', 'Graduate', 'Grand Hotel', 'Gravitas One', 'Great Vibes', 'Griffy', 'Gruppo', 'Gudea', 'Habibi', 'Hammersmith One', 'Hanalei', 'Hanalei Fill', 'Handlee', 'Hanuman', 'Happy Monkey', 'Headland One', 'Helvetica Neue', 'Henny Penny', 'Herr Von Muellerhoff', 'Holtwood One SC', 'Homemade Apple', 'Homenaje', 'IM Fell DW Pica', 'IM Fell DW Pica SC', 'IM Fell Double Pica', 'IM Fell Double Pica SC', 'IM Fell English', 'IM Fell English SC', 'IM Fell French Canon', 'IM Fell French Canon SC', 'IM Fell Great Primer', 'IM Fell Great Primer SC', 'Iceberg', 'Iceland', 'Imprima', 'Inconsolata', 'Inder', 'Indie Flower', 'Inika', 'Irish Grover', 'Irish Growler', 'Istok Web', 'Italiana', 'Italianno', 'Jacques Francois', 'Jacques Francois Shadow', 'Jim Nightshade', 'Jockey One', 'Jolly Lodger', 'Josefin Sans', 'Josefin Sans Std Light', 'Josefin Slab', 'Joti One', 'Judson', 'Julee', 'Julius Sans One', 'Junge', 'Jura', 'Just Another Hand', 'Just Me Again Down Here', 'Kameron', 'Karla', 'Kaushan Script', 'Kavoon', 'Keania One', 'Kelly Slab', 'Kenia', 'Khmer', 'Kite One', 'Knewave', 'Kotta One', 'Koulen', 'Kranky', 'Kreon', 'Kristi', 'Krona One', 'La Belle Aurore', 'Lancelot', 'Lateef', 'Lato', 'League Script', 'Leckerli One', 'Ledger', 'Lekton', 'Lemon', 'Lemon One', 'Libre Baskerville', 'Life Savers', 'Lilita One', 'Lily Script One', 'Limelight', 'Linden Hill', 'Lobster', 'Lobster Two', 'Lohit Bengali', 'Lohit Devanagari', 'Lohit Tamil', 'Londrina Outline', 'Londrina Shadow', 'Londrina Sketch', 'Londrina Solid', 'Lora', 'Love Ya Like A Sister', 'Loved by the King', 'Lovers Quarrel', 'Luckiest Guy', 'Lusitana', 'Lustria', 'Macondo', 'Macondo Swash Caps', 'Magra', 'Maiden Orange', 'Mako', 'Marcellus', 'Marcellus SC', 'Marck Script', 'Margarine', 'Marko One', 'Marmelad', 'Marvel', 'Mate', 'Mate SC', 'Maven Pro', 'McLaren', 'Meddon', 'MedievalSharp', 'Medula One', 'Megrim', 'Meie Script', 'Merienda', 'Merienda One', 'Merriweather', 'Merriweather Sans', 'Metal', 'Metal Mania', 'Metamorphous', 'Metrophobic', 'Michroma', 'Milonga', 'Miltonian', 'Miltonian Tattoo', 'Miniver', 'Miss Fajardose', 'Miss Saint Delafield', 'Modern Antiqua', 'Molengo', 'Monda', 'Monofett', 'Monoton', 'Monsieur La Doulaise', 'Montaga', 'Montez', 'Montserrat', 'Montserrat Alternates', 'Montserrat Subrayada', 'Moul', 'Moulpali', 'Mountains of Christmas', 'Mouse Memoirs', 'Mr Bedford', 'Mr Bedfort', 'Mr Dafoe', 'Mr De Haviland', 'Mrs Saint Delafield', 'Mrs Sheppards', 'Muli', 'Mystery Quest', 'Neucha', 'Neuton', 'New Rocker', 'News Cycle', 'Niconne', 'Nixie One', 'Nobile', 'Nokora', 'Norican', 'Nosifer', 'Nosifer Caps', 'Nothing You Could Do', 'Noticia Text', 'Noto Sans', 'Noto Sans UI', 'Noto Serif', 'Nova Cut', 'Nova Flat', 'Nova Mono', 'Nova Oval', 'Nova Round', 'Nova Script', 'Nova Slim', 'Nova Square', 'Numans', 'Nunito', 'OFL Sorts Mill Goudy TT', 'Odor Mean Chey', 'Offside', 'Old Standard TT', 'Oldenburg', 'Oleo Script', 'Oleo Script Swash Caps', 'Oranienbaum', 'Orbitron', 'Oregano', 'Orienta', 'Original Surfer', 'Oswald', 'Over the Rainbow', 'Overlock', 'Overlock SC', 'Ovo', 'Oxygen', 'Oxygen Mono', 'PT Mono', 'PT Sans', 'PT Sans Caption', 'PT Sans Narrow', 'PT Serif', 'PT Serif Caption', 'Pacifico', 'Paprika', 'Parisienne', 'Passero One', 'Passion One', 'Pathway Gothic One', 'Patrick Hand', 'Patrick Hand SC', 'Patua One', 'Paytone One', 'Peralta', 'Permanent Marker', 'Petit Formal Script', 'Petrona', 'Philosopher', 'Piedra', 'Pinyon Script', 'Pirata One', 'Plaster', 'Play', 'Playball', 'Playfair Display', 'Playfair Display SC', 'Podkova', 'Poiret One', 'Poller One', 'Poly', 'Pompiere', 'Pontano Sans', 'Port Lligat Sans', 'Port Lligat Slab', 'Prata', 'Preahvihear', 'Press Start 2P', 'Princess Sofia', 'Prociono', 'Prosto One', 'Proxima Nova', 'Proxima Nova Tabular Figures', 'Puritan', 'Purple Purse', 'Quando', 'Quantico', 'Quattrocento', 'Quattrocento Sans', 'Questrial', 'Quicksand', 'Quintessential', 'Qwigley', 'Racing Sans One', 'Radley', 'Raleway', 'Raleway Dots', 'Rambla', 'Rammetto One', 'Ranchers', 'Rancho', 'Rationale', 'Redressed', 'Reenie Beanie', 'Revalia', 'Ribeye', 'Ribeye Marrow', 'Righteous', 'Risque', 'Roboto', 'Roboto Condensed', 'Roboto Slab', 'Rochester', 'Rock Salt', 'Rokkitt', 'Romanesco', 'Ropa Sans', 'Rosario', 'Rosarivo', 'Rouge Script', 'Ruda', 'Rufina', 'Ruge Boogie', 'Ruluko', 'Rum Raisin', 'Ruslan Display', 'Russo One', 'Ruthie', 'Rye', 'Sacramento', 'Sail', 'Salsa', 'Sanchez', 'Sancreek', 'Sansita One', 'Sarina', 'Satisfy', 'Scada', 'Scheherazade', 'Schoolbell', 'Seaweed Script', 'Sevillana', 'Seymour One', 'Shadows Into Light', 'Shadows Into Light Two', 'Shanti', 'Share', 'Share Tech', 'Share Tech Mono', 'Shojumaru', 'Short Stack', 'Siamreap', 'Siemreap', 'Sigmar One', 'Signika', 'Signika Negative', 'Simonetta', 'Sintony', 'Sirin Stencil', 'Six Caps', 'Skranji', 'Slackey', 'Smokum', 'Smythe', 'Snippet', 'Snowburst One', 'Sofadi One', 'Sofia', 'Sonsie One', 'Sorts Mill Goudy', 'Source Code Pro', 'Source Sans Pro', 'Special Elite', 'Spicy Rice', 'Spinnaker', 'Spirax', 'Squada One', 'Stalemate', 'Stalin One', 'Stalinist One', 'Stardos Stencil', 'Stint Ultra Condensed', 'Stint Ultra Expanded', 'Stoke', 'Strait', 'Sue Ellen Francisco', 'Sunshiney', 'Supermercado One', 'Suwannaphum', 'Swanky and Moo Moo', 'Syncopate', 'Tahoma', 'Tangerine', 'Taprom', 'Tauri', 'Telex', 'Tenor Sans', 'Terminal Dosis', 'Terminal Dosis Light', 'Text Me One', 'Thabit', 'The Girl Next Door', 'Tienne', 'Tinos', 'Titan One', 'Titillium Web', 'Trade Winds', 'Trocchi', 'Trochut', 'Trykker', 'Tulpen One', 'Ubuntu', 'Ubuntu Condensed', 'Ubuntu Mono', 'Ultra', 'Uncial Antiqua', 'Underdog', 'Unica One', 'UnifrakturMaguntia', 'Unkempt', 'Unlock', 'Unna', 'VT323', 'Vampiro One', 'Varela', 'Varela Round', 'Vast Shadow', 'Vibur', 'Vidaloka', 'Viga', 'Voces', 'Volkhov', 'Vollkorn', 'Voltaire', 'Waiting for the Sunrise', 'Wallpoet', 'Walter Turncoat', 'Warnes', 'Wellfleet', 'Wendy One', 'Wire One', 'Yanone Kaffeesatz', 'Yellowtail', 'Yeseva One', 'Yesteryear', 'Zeyada', 'jsMath cmbx10', 'jsMath cmex10', 'jsMath cmmi10', 'jsMath cmr10', 'jsMath cmsy10', 'jsMath cmti10');
    $on_off = array("on" => "On", "off" => "Off");
    $home_page_slider = array("on" => "On", "off" => "Off");
    $home_page_top_heading = array("on" => "On", "off" => "Off");
    $home_page_feature = array("on" => "On", "off" => "Off");
    $home_page_blog = array("on" => "On", "off" => "Off");
    $testimonial = array("on" => "On", "off" => "Off");
    // Background Defaults
    $background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat', 'position' => 'top center', 'attachment' => 'scroll');
    //Stylesheet Reader
    $alt_stylesheets = array("tealgreen" => "tealgreen", "green" => "green", "orange" => "orange", "pink" => "pink", "blue" => "blue", "yellow" => "yellow", "red" => "red", "black" => "black");
    $lan_stylesheets = array("Default" => "Default", "rtl" => "rtl");
    // Pull all the categories into an array
    $options_categories = array();
    $options_categories_obj = get_categories();
    foreach ($options_categories_obj as $category) {
        $options_categories[$category->cat_ID] = $category->cat_name;
    }
    // Populate OptionsFramework option in array for use in theme
    $contact_option = array("on" => "On", "off" => "Off");
    $captcha_option = array("on" => "On", "off" => "Off");
    // Pull all the pages into an array
    $options_pages = array();
    $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
    $options_pages[''] = 'Select a page:';
    foreach ($options_pages_obj as $page) {
        $options_pages[$page->ID] = $page->post_title;
    }
    // If using image radio buttons, define a directory path
    $imagepath = get_template_directory_uri() . '/assets/images/';
    


        $theme_settings = array(
            'harrington_logo' => array(
                'id' => 'harrington_options[harrington_logo]',
                'label' => __('Custom Logo', 'harrington'),
                'description' => __('Upload a logo for your Website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/logo.png'
            ),
            'harrington_favicon' => array(
                'id' => 'harrington_options[harrington_favicon]',
                'label' => __('Custom Favicon', 'harrington'),
                'description' => __('Here you can upload a Favicon for your Website. Specified size is 16px x 16px.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/favicon.png'
            ),

            'harrington_bodybg' => array(
                'id' => 'harrington_options[harrington_bodybg]',
                'label' => __('Background Image', 'harrington'),
                'description' => __('Choose a suitable background image that will complement your website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),

            'harrington_analytics' => array(
                'id' => 'harrington_options[harrington_analytics]',
                'label' => __('Tracking Code', 'harrington'),
                'description' => __('Paste your Google Analytics (or other) tracking code here.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
                
            ),


            'harrington_contact_number' => array(
                'id' => 'harrington_options[harrington_contact_number]',
                'label' => __('Contact Number For Tap To Call Feature', 'harrington'),
                'description' => __('Mention your contact number here through which users can interact to you directly. This feature is called tap to call and this will work when the user will access your website through mobile phones or iPhone.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),

            'harrington_tapto_backtop' => array(
                'id' => 'harrington_options[harrington_tapto_backtop]',
                'label' => __('Tap to call gradient top background color', 'harrington'),
                'description' => __('Choose a suitable top background color that will complement your website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),

            'harrington_tapto_backbottom' => array(
                'id' => 'harrington_options[harrington_tapto_backbottom]',
                'label' => __('Tap to call gradient bottom background color', 'harrington'),
                'description' => __('Choose a suitable bottom background color that will complement your website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),

            'harrington_tapto_box_shadow' => array(
                'id' => 'harrington_options[harrington_tapto_box_shadow]',
                'label' => __('Box shadow color', 'harrington'),
                'description' => __('Choose a suitable box shadow color that will complement your website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),

            'harrington_tapto_icon' => array(
                'id' => 'harrington_options[harrington_tapto_icon]',
                'label' => __('Contact Number For Tap To Call Feature', 'harrington'),
                'description' =>sprintf(__("To change icon, go to <a href='%1s'>Bootstrap Icons Site</a> and select one icon and click the icon link. Once opened the page, copy the class property and paste on this field. For help, see this screennshot and copy only highlited text: <img src='%2s'/>", 'harrington'), esc_url('http://getbootstrap.com/components/'), esc_url(get_template_directory_uri() . "/assets/images/bootstrap-icon-help.png")),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),

            'harrington_tapto_text' => array(
                'id' => 'harrington_options[harrington_tapto_text]',
                'label' => __('Tap to call text', 'harrington'),
                'description' => __('Write text you want to show for tap to call button.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),

            'harrington_tapto_text_shadow' => array(
                'id' => 'harrington_options[harrington_tapto_text_shadow]',
                'label' => __('Text shadow color', 'harrington'),
                'description' => __('Choose a suitable text shadow color that will complement your website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),

            'harrington_tapto_text_color' => array(
                'id' => 'harrington_options[harrington_tapto_text_color]',
                'label' => __('Text color', 'harrington'),
                'description' => __('Choose a suitable text color that will complement your website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),

            'harrington_tapto_border_color' => array(
                'id' => 'harrington_options[harrington_tapto_border_color]',
                'label' => __('Border color', 'harrington'),
                'description' => __('Choose a suitable border color that will complement your website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'color',
                'default' => ''
            ),

            'harrington_slide_speed' => array(
                'id' => 'harrington_options[harrington_slide_speed]',
                'label' => __('Slider Speed', 'harrington'),
                'description' => __('Set the speed of the slider in milliseconds. For e.g. if you want to set the speed of the slider for 8 seconds then enter 8000 in the field or if you want to set the slider speed for 2.5 seconds then enter 2500 in the field.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => '5000'
            ),


            'harrington_slideimage1' => array(
                'id' => 'harrington_options[harrington_slideimage1]',
                'label' => __('First Slider Image', 'harrington'),
                'description' => __('The optimal size of the image is 1600px wide x 750px height, but it can be varied as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/slide1.jpg'
            ),
            'harrington_sliderheading1' => array(
                'id' => 'harrington_options[harrington_sliderheading1]',
                'label' => __('First Slider Heading', 'harrington'),
                'description' => __('Mention the heading for the First slider.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => 'Eye-Soothing look that gives a value to your Business Website.'
            ),

            'harrington_Sliderlink1' => array(
                'id' => 'harrington_options[harrington_Sliderlink1]',
                'label' => __('Link for First slider', 'harrington'),
                'description' => __('Mention the URL for first image.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),

            'harrington_slider_button1' => array(
                'id' => 'harrington_options[harrington_slider_button1]',
                'label' => __('First Slider Button Text', 'harrington'),
                'description' => __('Enter the Button Text for Home Page First Slider', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => 'Read More'
            ),

            'harrington_slideimage2' => array(
                'id' => 'harrington_options[harrington_slideimage2]',
                'label' => __('Second Slider Image', 'harrington'),
                'description' => __('The optimal size of the image is 1600px wide x 750px height, but it can be varied as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/slide2.jpg'
            ),
            'harrington_sliderheading2' => array(
                'id' => 'harrington_options[harrington_sliderheading2]',
                'label' => __('Second Slider Heading', 'harrington'),
                'description' => __('Mention the heading for the Second slider.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => 'Show sliders with fantastic moving and zooming effects. It is appealing and pleasing.'
            ),

            'harrington_Sliderlink2' => array(
                'id' => 'harrington_options[harrington_Sliderlink2]',
                'label' => __('Link for Second slider', 'harrington'),
                'description' => __('Mention the URL for Second image.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),

            'harrington_slider_button2' => array(
                'id' => 'harrington_options[harrington_slider_button2]',
                'label' => __('Second Slider Button Text', 'harrington'),
                'description' => __('Enter the Button Text for Home Page Second Slider', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => 'Read More'
            ),
           
            'harrington_slideimage3' => array(
                'id' => 'harrington_options[harrington_slideimage3]',
                'label' => __('Third Slider Image', 'harrington'),
                'description' => __('The optimal size of the image is 1600px wide x 750px height, but it can be varied as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'harrington_sliderheading3' => array(
                'id' => 'harrington_options[harrington_sliderheading3]',
                'label' => __('Third Slider Heading', 'harrington'),
                'description' => __('Mention the heading for the Third slider.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_Sliderlink3' => array(
                'id' => 'harrington_options[harrington_Sliderlink3]',
                'label' => __('Link for Third slider', 'harrington'),
                'description' => __('Mention the URL for Third image.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),

            'harrington_slider_button3' => array(
                'id' => 'harrington_options[harrington_slider_button3]',
                'label' => __('Third Slider Button Text', 'harrington'),
                'description' => __('Enter the Button Text for Home Page Third Slider', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),
   
            'harrington_slideimage4' => array(
                'id' => 'harrington_options[harrington_slideimage4]',
                'label' => __('Fourth Slider Image', 'harrington'),
                'description' => __('The optimal size of the image is 1600px wide x 750px height, but it can be varied as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'harrington_sliderheading4' => array(
                'id' => 'harrington_options[harrington_sliderheading4]',
                'label' => __('Fourth Slider Heading', 'harrington'),
                'description' => __('Mention the heading for the Fourth slider.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_Sliderlink4' => array(
                'id' => 'harrington_options[harrington_Sliderlink4]',
                'label' => __('Link for Fourth slider', 'harrington'),
                'description' => __('Mention the URL for Fourth image.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),

            'harrington_slider_button4' => array(
                'id' => 'harrington_options[harrington_slider_button4]',
                'label' => __('Fourth Slider Button Text', 'harrington'),
                'description' => __('Enter the Button Text for Home Page Fourth Slider', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),

            'harrington_slideimage5' => array(
                'id' => 'harrington_options[harrington_slideimage5]',
                'label' => __('Fifth Slider Image', 'harrington'),
                'description' => __('The optimal size of the image is 1600px wide x 750px height, but it can be varied as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'harrington_sliderheading5' => array(
                'id' => 'harrington_options[harrington_sliderheading5]',
                'label' => __('Fifth Slider Heading', 'harrington'),
                'description' => __('Mention the heading for the Fifth slider.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_Sliderlink5' => array(
                'id' => 'harrington_options[harrington_Sliderlink5]',
                'label' => __('Link for Fifth slider', 'harrington'),
                'description' => __('Mention the URL for Fifth image.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),

            'harrington_slider_button5' => array(
                'id' => 'harrington_options[harrington_slider_button5]',
                'label' => __('Fifth Slider Button Text', 'harrington'),
                'description' => __('Enter the Button Text for Home Page Fifth Slider', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),

            'harrington_slideimage6' => array(
                'id' => 'harrington_options[harrington_slideimage6]',
                'label' => __('Sixth Slider Image', 'harrington'),
                'description' => __('The optimal size of the image is 1600px wide x 750px height, but it can be varied as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            'harrington_sliderheading6' => array(
                'id' => 'harrington_options[harrington_sliderheading6]',
                'label' => __('Sixth Slider Heading', 'harrington'),
                'description' => __('Mention the heading for the Sixth slider.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_Sliderlink6' => array(
                'id' => 'harrington_options[harrington_Sliderlink6]',
                'label' => __('Link for Sixth slider', 'harrington'),
                'description' => __('Mention the URL for Sixth image.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),

            'harrington_slider_button6' => array(
                'id' => 'harrington_options[harrington_slider_button6]',
                'label' => __('Sixth Slider Button Text', 'harrington'),
                'description' => __('Enter the Button Text for Home Page Sixth Slider', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),

            'harrington_home_slider_option' => array(
                'id' => 'harrington_options[harrington_home_slider_option]',
                'label' => __('Home Page Slider On/Off', 'harrington'),
                'description' => __('Turn on or off the home page slider section as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $home_page_slider
            ),


            'harrington_page_main_heading' => array(
                'id' => 'harrington_options[harrington_page_main_heading]',
                'label' => __('Home Page Main Heading', 'harrington'),
                'description' => __('Mention the punch line for your business here.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_page_sub_heading' => array(
                'id' => 'harrington_options[harrington_page_sub_heading]',
                'label' => __('Home Page Sub Heading', 'harrington'),
                'description' => __('Mention the tagline for your business here that will complement the punch line.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_home_top_head' => array(
                'id' => 'harrington_options[harrington_home_top_head]',
                'label' => __('Home Page Top Heading Section On/Off', 'harrington'),
                'description' => __('Turn on or off the home page top heading as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $home_page_top_heading
            ),

            'harrington_feature_heading' => array(
                'id' => 'harrington_options[harrington_feature_heading]',
                'label' => __('Three Column Feature Main heading', 'harrington'),
                'description' => __('Mention the main heading for three column feature area.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),


            'harrington_fimg1' => array(
                'id' => 'harrington_options[harrington_fimg1]',
                'label' => __('First Feature Image', 'harrington'),
                'description' => __('Choose image for your first Feature area. Optimal size 250px x 250px', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/img.jpg'
            ),

            'harrington_firsthead' => array(
                'id' => 'harrington_options[harrington_firsthead]',
                'label' => __('First Feature Heading', 'harrington'),
                'description' => __('Enter your text for first col heading.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_firstdesc' => array(
                'id' => 'harrington_options[harrington_firstdesc]',
                'label' => __('First Feature Description', 'harrington'),
                'description' => __('Enter your text for first col description.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_feature_link1' => array(
                'id' => 'harrington_options[harrington_feature_link1]',
                'label' => __('First feature Link', 'harrington'),
                'description' => __('Enter your text for First feature Link.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),


            'harrington_fimg2' => array(
                'id' => 'harrington_options[harrington_fimg2]',
                'label' => __('Second Feature Image', 'harrington'),
                'description' => __('Choose image for your second Feature area. Optimal size 250px x 250px', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/img2.jpg'
            ),

            'harrington_headline2' => array(
                'id' => 'harrington_options[harrington_headline2]',
                'label' => __('Second Feature Heading', 'harrington'),
                'description' => __('Enter your text for second col heading.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_seconddesc' => array(
                'id' => 'harrington_options[harrington_seconddesc]',
                'label' => __('Second Feature Description', 'harrington'),
                'description' => __('Enter your text for second col description.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_feature_link2' => array(
                'id' => 'harrington_options[harrington_feature_link2]',
                'label' => __('Second feature Link', 'harrington'),
                'description' => __('Enter your text for second feature Link.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),


            'harrington_fimg3' => array(
                'id' => 'harrington_options[harrington_fimg3]',
                'label' => __('Third Feature Image', 'harrington'),
                'description' => __('Choose image for your third Feature. Optimal size 250px x 250px', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/assets/images/img3.jpg'
            ),

            'harrington_headline3' => array(
                'id' => 'harrington_options[harrington_headline3]',
                'label' => __('Third Feature Heading', 'harrington'),
                'description' => __('Enter your text for third col heading.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_thirddesc' => array(
                'id' => 'harrington_options[harrington_thirddesc]',
                'label' => __('Third Feature Description', 'harrington'),
                'description' => __('Enter your text for third col description.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_feature_link3' => array(
                'id' => 'harrington_options[harrington_feature_link3]',
                'label' => __('Third feature Link', 'harrington'),
                'description' => __('Enter your text for third feature Link.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => ''
            ),

            'harrington_home_feature_option' => array(
                'id' => 'harrington_options[harrington_home_feature_option]',
                'label' => __('Home Page Three Column Feature Area On/Off', 'harrington'),
                'description' => __('Turn on or off the home page three column feature area as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $home_page_feature
            ),

            'harrington_feature_select' => array(
                'id' => 'harrington_options[harrington_feature_select]',
                'label' => __('Feature Area Selector', 'harrington'),
                'description' => __('Select the number of Feature Areas to be displayed.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => '1',
                'choices' => array(
                    '1' => 'One Column feature Area',
                    '2' => 'Two Column feature Area',
                    '3' => 'Three Column feature Area',
                    '4' => 'Four Column feature Area'
                )
            ),
            
            'harrington_blog_heading' => array(
                'id' => 'harrington_options[harrington_blog_heading]',
                'label' => __('Home Page Blog Heading Text', 'harrington'),
                'description' => __('Here you can mention a suitable blog text that will display the recent blog posts with images.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_blog_post' => array(
                'id' => 'harrington_options[harrington_blog_post]',
                'label' => __('Number Of Post In Home Page', 'harrington'),
                'description' => __('Here you can mention the number of blog post that will display on home page.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => ''
            ),

            'harrington_home_blog_option' => array(
                'id' => 'harrington_options[harrington_home_blog_option]',
                'label' => __('Home Page Blog post On/Off', 'harrington'),
                'description' => __('Turn on or off the home page blog post as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $home_page_blog
            ),

            'harrington_testimonial_heading' => array(
                'id' => 'harrington_options[harrington_testimonial_heading]',
                'label' => __('Testimonial Section Main Heading', 'harrington'),
                'description' => __('Mention the main heading for Bottom Testimonial area.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_test1' => array(
                'id' => 'harrington_options[harrington_test1]',
                'label' => __('First Testimonial Text', 'harrington'),
                'description' => __('Here mention the text for First testimonial that will describe about your business.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_test2' => array(
                'id' => 'harrington_options[harrington_test2]',
                'label' => __('Second Testimonial Text', 'harrington'),
                'description' => __('Here mention the text for Second testimonial that will describe about your business.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_test3' => array(
                'id' => 'harrington_options[harrington_test3]',
                'label' => __('Third Testimonial Text', 'harrington'),
                'description' => __('Here mention the text for Third testimonial that will describe about your business.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_test4' => array(
                'id' => 'harrington_options[harrington_test4]',
                'label' => __('Fourth Testimonial Text', 'harrington'),
                'description' => __('Here mention the text for Fourth testimonial that will describe about your business.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_test5' => array(
                'id' => '<harrington_options harrington_test5=""></harrington_options>',
                'label' => __('Fifth Testimonial Text', 'harrington'),
                'description' => __('Here mention the text for Fifth testimonial that will describe about your business.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_testimonial_option' => array(
                'id' => 'harrington_options[harrington_testimonial_option]',
                'label' => __('Home Page Testimonial On/Off', 'harrington'),
                'description' => __('Turn on or off the home page testimonial text as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $testimonial
            ),


            'harrington_altstylesheet' => array(
                'id' => 'harrington_options[harrington_altstylesheet]',
                'label' => __('Theme Stylesheet', 'harrington'),
                'description' => __('Select the color of the theme from different available colors.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' =>  $alt_stylesheets,
                'default' => ''
            ),
 
            'harrington_lanstylesheet' => array(
                'id' => 'harrington_options[harrington_lanstylesheet]',
                'label' => __('Theme Language', 'harrington'),
                'description' => __('By default the theme content displays from left to right which you can change to right to left i.e. switching it to RTL.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'choices' =>  $lan_stylesheets,
                'default' => ''
            ),


            'harrington_contact_map' => array(
                'id' => 'harrington_options[harrington_contact_map]',
                'label' => __('Contact Page Map', 'harrington'),
                'description' =>sprintf(__("Go to %s and generate the map for your location. Just copy only the iframe code i.e. code within &lt;iframe&gt; and &lt;/iframe&gt; and paste it here. This will show the map location of your business on the Website.", 'harrington'), esc_url('https://maps.google.com/')),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_keyword' => array(
                'id' => 'harrington_options[harrington_keyword]',
                'label' => __('Meta Keywords (comma separated)', 'harrington'),
                'description' => __('Meta keywords provide search engines with additional information about topics that appear on your site. This only applies to your home page. Keyword Limit Maximum 8.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_description' => array(
                'id' => 'harrington_options[harrington_description]',
                'label' => __('Meta Description', 'harrington'),
                'description' => __('You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.Optimal Length for Search Engines, Roughly 155 Characters.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),
            'harrington_author' => array(
                'id' => 'harrington_options[harrington_author]',
                'label' => __('Meta Author Name', 'harrington'),
                'description' => __('You should write the full name of the author here. This only applies to your home page.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'footer_widget_column_on_off' => array(
                'id' => 'harrington_options[footer_widget_column_on_off]',
                'label' => __('Widget Area Column Selector', 'harrington'),
                'description' => __('Select the number of Widget Areas to be displayed.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => '',
                'choices' => array(
                    '1' => 'One Column widget Area',
                    '2' => 'Two Column widget Area',
                    '3' => 'Three Column widget Area',
                    '4' => 'Four Column widget Area'
                )
            ),
            'footer_widget_on_off' => array(
                'id' => 'harrington_options[footer_widget_on_off]',
                'label' => __('Footer Widget On/Off', 'harrington'),
                'description' => __('Switch On/Off footer widget.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'radio',
                'default' => 'on',
                'choices' => $on_off
            ),

            'harrington_topright' => array(
                'id' => 'harrington_options[harrington_topright]',
                'label' => __('Footer Contact Details', 'harrington'),
                'description' => __('Mention the contact details here which will be displayed on the bottom left corner of Footer Section.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),

            'harrington_footertext' => array(
                'id' => 'harrington_options[harrington_footertext]',
                'label' => __('Copyright Bottom Footer Text', 'harrington'),
                'description' => __('Write the text here that will be displayed on the footer i.e. at the bottom of the Website.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ), 

            'typography_logo_family' => array(
                'id' => 'harrington_options[typography_logo_family]',
                'label' => __('Logo Font Family', 'harrington'),
                'description' => __('Allows you to change Font family for Logo', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'Open Sans',
                'choices' => $font_family
            ),
            
            'typography_nav_family' => array(
                'id' => 'harrington_options[typography_nav_family]',
                'label' => __('Body Font Family', 'harrington'),
                'description' => __('Allows you to change Font family for Body', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'Open Sans',
                'choices' => $font_family
            ),
            
                'social_media_icon_1' => array(
                'id' => 'harrington_options[social_media_icon_1]',
                'label' => __('Social icons', 'harrington'),
                'description' => __('Choose Social Icon from the below drop down list.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'facebook-square',
                'choices' => $social_icons
            ),
            
               'social_media_url_1' => array(
                'id' => 'harrington_options[social_media_url_1]',
                'label' => __('Social Link', 'harrington'),
                'description' => __('Quickly add link to your Social Icons site.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            
            'social_media_icon_2' => array(
                'id' => 'harrington_options[social_media_icon_2]',
                'label' => __('Social icons', 'harrington'),
                'description' => __('Choose Social Icon from the below drop down list.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'twitter-square',
                'choices' => $social_icons
            ),
            
            'social_media_url_2' => array(
                'id' => 'harrington_options[social_media_url_2]',
                'label' => __('Social Link', 'harrington'),
                'description' => __('Quickly add link to your Social Icons site.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            
                'social_media_icon_3' => array(
                'id' => 'harrington_options[social_media_icon_3]',
                'label' => __('Social icons', 'harrington'),
                'description' => __('Choose Social Icon from the below drop down list.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'google-plus-square',
                'choices' => $social_icons
            ),
            
                'social_media_url_3' => array(
                'id' => 'harrington_options[social_media_url_3]',
                'label' => __('Social Link', 'harrington'),
                'description' => __('Quickly add link to your Social Icons site.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            
                'social_media_icon_4' => array(
                'id' => 'harrington_options[social_media_icon_4]',
                'label' => __('Social icons', 'harrington'),
                'description' => __('Choose Social Icon from the below drop down list.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'select',
                'default' => 'linkedin-square',
                'choices' => $social_icons
            ),
            
                'social_media_url_4' => array(
                'id' => 'harrington_options[social_media_url_4]',
                'label' => __('Social Link', 'harrington'),
                'description' => __('Quickly add link to your Social Icons site.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            
        );
        
        
        return $theme_settings;
  
	// Logo Font Family
	harrington_select_control( 'typography', 'logo_family', esc_html__( 'Font Family', 'harrington' ), $font_family, 'refresh', 1 );

	// Navigation Font Family
	harrington_select_control( 'typography', 'nav_family', esc_html__( 'Font Family', 'harrington' ), $font_family, 'refresh', 5 );

          }

    public static function inkthemes_Controls($wp_customize) {


        $sections = self::inkthemes_Section_Content();
        $settings = self::inkthemes_Settings();
        
         /*
         * Begin: Calling Selective refresh function for each settings.
         */
        foreach ($settings as $k => $v) {
            $wp_customize->selective_refresh->add_partial($v['id'], array(
                'selector' => '.' . $k,
            ));
        }
        /*
         * End: Calling Selective refresh function for each settings.
         */


        foreach ($sections as $section_id => $section_content) {

            foreach ($section_content as $section_content_id) {

                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_text');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'textarea':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_textarea');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;

                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'color':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_color');

                        $wp_customize->add_control(new WP_Customize_Color_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;

                    case 'number':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_number');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;

                    case 'select':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_select');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'select',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;

                    case 'radio':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_radio');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'radio',
                            'choices' => $settings[$section_content_id]['choices']
                                )
                        ));
                        break;
                    
                    	case 'upgrade_msg':
			self::add_setting( $wp_customize, $settings[$section_content_id]['id'], '', '', 'harrington_sanitize_text' );
                            
			$wp_customize->add_control( new Harrington_Upgrade_control(
			$wp_customize, $settings[$section_content_id]['id'], array(
			'label' => '',
			'description' => $settings[$section_content_id]['description'],
			'section' => $section_id,
			'type' => 'upgrade_msg',
			'settings' => $settings[$section_content_id]['id']
			)
			));

			break;
			case 'upgrade_msg2':
			self::add_setting( $wp_customize, $settings[$section_content_id]['id'], '', '', 'harrington_sanitize_text' );
                            
			$wp_customize->add_control( new Harrington_Upgrade_control(
			$wp_customize, $settings[$section_content_id]['id'], array(
			'label' => $settings[$section_content_id]['label'],
			'description' => $settings[$section_content_id]['description'],
			'section' => $section_id,
			'type' => 'upgrade_msg2',
			'settings' => $settings[$section_content_id]['id']
			)
			));
                        
                        case 'select':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'inkthemes_sanitize_select');
                        
                        // Pro Version
//	                  $wp_customize->add_setting( 'pro_version_typography', array(
//		          'sanitize_callback' => 'harrington_sanitize_custom_control'
//	) );
                        $wp_customize->add_control( new harrington_Customize_Pro_Version ( $wp_customize,
			'pro_version_typography', array(
				'section'	 => 'harrington_typography',
				//'type'	 => 'pro_options',
				'type'           =>  'select',
                                'label' 	  => esc_html__( 'Typography Options', 'harrington' ),
				'description' => esc_html( 'wp-royal.com/themes/harrington/customizer/free/typography-logo.html?ref=harrington-free-typography-customizer' ),
				'priority'	  => 19
			)
		)
	);

			break;

                    default:
                        break;
                }
            }
        }
    }

    public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('inkthemes_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }

    /**
     * adds sanitization callback funtion : textarea
     * @package inkthemes
     */
    public static function inkthemes_sanitize_textarea($value) {
        $value = esc_html($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : url
     * @package inkthemes
     */
    public static function inkthemes_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : text
     * @package inkthemes
     */
    public static function inkthemes_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : email
     * @package inkthemes
     */
    public static function inkthemes_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package inkthemes
     */
    public static function inkthemes_sanitize_color($value) {
        $value = sanitize_hex_color($value);
        return $value;
    }

     /**
     * adds sanitization callback funtion : select
     * @package inkthemes
     */
    public static function inkthemes_sanitize_select($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }

    /**
     * adds sanitization callback funtion : radio
     * @package inkthemes
     */
    public static function inkthemes_sanitize_radio($value, $setting) {
        global $wp_customize;
        $control = $wp_customize->get_control($setting->id);
        if (array_key_exists($value, $control->choices)) {
            return $value;
        } else {
            return $setting->default;
        }
    }
}

// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('inkthemes_Customizer', 'inkthemes_Register'));




function inkthemes_registers() {
wp_register_script('inkthemes_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true);
wp_register_script('inkthemes_customizer_script1', get_template_directory_uri() . '/includes/js/inkthemes_customizer.js', array("jquery", "inkthemes_jquery_ui"), true);
wp_enqueue_script('inkthemes_customizer_script1');
wp_localize_script('inkthemes_customizer_script1', 'ink_advert', array(
'pro' => __('View PRO version','harrington'),
'url' => esc_url('https://www.inkthemes.com/market/wordpress-business-theme/'),
'support_text' => __('Need Help!', 'harrington'),
'support_url' => esc_url('https://www.inkthemes.com/contact-us/')
)
);
}

add_action('customize_controls_enqueue_scripts', 'inkthemes_registers');

/**
 * Load dynamic logic for the customizer controls area.
 */
function harrington_panels_js() {
	wp_enqueue_script( 'harrington-customize-controls', HARRINGTON_DIR_URI . "/assets/js/customize-controls.js", array(), '1.0', true );
        wp_enqueue_style( 'fontawesome', HARRINGTON_DIR_URI . "/assets/css/font-awesome.css");
}
add_action( 'customize_controls_enqueue_scripts', 'harrington_panels_js' );


