<?php
// Preview Check
function harrington_is_preview() {
	$theme = wp_get_theme();
	$theme_name = $theme->get( 'TextDomain' );
	$active_theme = harrington_get_raw_option( 'template' ); 
	return apply_filters( 'harrington_is_preview', ( $active_theme != strtolower( $theme_name ) && !is_child_theme()));
	//return apply_filters( 'harrington_is_preview', ( $active_theme == strtolower( $theme_name )));
}
// Get Raw Options
function harrington_get_raw_option( $opt_name ) {
	$alloptions = wp_cache_get( 'alloptions', 'options' );
	$alloptions = maybe_unserialize( $alloptions );
	return isset( $alloptions[ $opt_name ] ) ? maybe_unserialize( $alloptions[ $opt_name ] ) : false;
}

// Random Images
function harrington_get_preview_img_src( $i = 0 ) {
	// prevent infinite loop
	if ( 10 == $i ) {
		return '';
	}

	$path = get_template_directory() . '/assets/images/';

	// Build or re-build the global dem img array
	if ( ! isset( $GLOBALS['harrington_preview_images'] ) || empty( $GLOBALS['harrington_preview_images'] ) ) {
		$imgs = array( '1.png', '2.png', '3.png', '4.png', '5.png', '6.png', '7.png', '8.png', '9.png', '10.png' );
		$candidates = array();
		foreach ( $imgs as $img ) {
			$candidates[] = $img;
		}
		$GLOBALS['harrington_preview_images'] = $candidates;
	}
	$candidates = $GLOBALS['harrington_preview_images'];
	// get a random image name
	$rand_key = array_rand( $candidates );
	$img_name = $candidates[$rand_key];

	// if file does not exists, reset the global and recursively call it again
	if ( ! file_exists( $path . $img_name ) ) {
		unset( $GLOBALS['harrington_preview_images'] );
		$i++;
		return harrington_get_preview_img_src( $i );
	}

	// unset all sizes of the img found and update the global
	$new_candidates = $candidates;
	foreach ( $candidates as $_key => $_img ) {
		if ( substr( $_img, 0, strlen( "{$img_name}" ) ) === "{$img_name}" ) {
			unset($new_candidates[$_key]);
		}
	}
	$GLOBALS['harrington_preview_images'] = $new_candidates;
	return get_template_directory_uri() . '/assets/images/' . $img_name;
}

/**
 * Filter thumbnail image
 *
 * @param string $input Post thumbnail.
 */
function harrington_preview_thumbnail( $input ) {  
	if ( empty( $input ) && harrington_is_preview() ) {           
		$placeholder = harrington_get_preview_img_src();                    
		return '<img src="' . esc_url( $placeholder ) . '" class="attachment-harrington-blog size-harrington-blog wp-post-image">';
	}
	return $input;
}
add_filter( 'post_thumbnail_html', 'harrington_preview_thumbnail' );